invoke.hpp File Reference

## Classes

struct | ranges::v3::invoke_fn
struct | ranges::v3::is_reference_wrapper< T >
struct | ranges::v3::is_reference_wrapper< reference_wrapper< T > >
struct | ranges::v3::is_reference_wrapper< std::reference_wrapper< T > >
struct | ranges::v3::reference_wrapper< T >
struct | ranges::v3::result_of< Sig, Enable >
struct | ranges::v3::result_of< Fun(Args...), meta::void_< decltype(invoke(std::declval< Fun >(), std::declval< Args >()...))> >

## Typedefs

template<typename T >
using | ranges::v3::is_reference_wrapper_t = meta::_t< is_reference_wrapper< T > >

## Variables

constexpr invoke_fn | ranges::v3::invoke {}